import { AssetSymbol, ChainKey } from '../constants';
import { Asset, MoonChain } from '../interfaces';
import { AssetsConfigs, ChainsConfigs, ChainXcmConfigs, XcmConfigBuilder } from './config.interfaces';
export declare function createConfig<Symbols extends AssetSymbol, ChainKeys extends ChainKey>(assets: AssetsConfigs<Symbols>, moonAsset: Asset<Symbols>, moonChain: MoonChain, chains: ChainsConfigs<ChainKeys>, configs: ChainXcmConfigs<Symbols, ChainKeys>): XcmConfigBuilder<Symbols, ChainKeys>;
export declare const moonbase: XcmConfigBuilder<AssetSymbol.ASTR | AssetSymbol.BSX | AssetSymbol.CLV | AssetSymbol.CRU | AssetSymbol.DEV | AssetSymbol.KBTC | AssetSymbol.KINT | AssetSymbol.LIT | AssetSymbol.PARING | AssetSymbol.TEER | AssetSymbol.TT1 | AssetSymbol.UNIT, ChainKey.AlphanetRelay | ChainKey.AstarAlphanet | ChainKey.BasiliskAlphanet | ChainKey.CloverAlphanet | ChainKey.CrustShadowAlphanet | ChainKey.DarwiniaAlphanet | ChainKey.IntegriteeAlphanet | ChainKey.InterBTCAlphanet | ChainKey.LitentryAlphanet | ChainKey.StatemineAlphanet>;
export declare const moonbeam: XcmConfigBuilder<AssetSymbol.ACA | AssetSymbol.AUSD | AssetSymbol.DOT | AssetSymbol.GLMR | AssetSymbol.IBTC | AssetSymbol.INTR | AssetSymbol.PARA | AssetSymbol.PHA, ChainKey.Acala | ChainKey.Interlay | ChainKey.Parallel | ChainKey.Phala | ChainKey.Polkadot>;
export declare const moonriver: XcmConfigBuilder<AssetSymbol.AUSD | AssetSymbol.BNC | AssetSymbol.CRAB | AssetSymbol.CSM | AssetSymbol.HKO | AssetSymbol.KAR | AssetSymbol.KBTC | AssetSymbol.KINT | AssetSymbol.KMA | AssetSymbol.KSM | AssetSymbol.LIT | AssetSymbol.MOVR | AssetSymbol.PHA | AssetSymbol.RMRK | AssetSymbol.SDN | AssetSymbol.TEER | AssetSymbol.USDT, ChainKey.Bifrost | ChainKey.Calamari | ChainKey.CrustShadow | ChainKey.Darwinia | ChainKey.Integritee | ChainKey.Karura | ChainKey.Khala | ChainKey.Kintsugi | ChainKey.Kusama | ChainKey.Litmus | ChainKey.Parallel | ChainKey.Shiden | ChainKey.Statemine>;
