"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BSX = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.BSX];
const origin = moonbase_common_1.chains[constants_1.ChainKey.BasiliskAlphanet];
const originAssetId = (0, config_utils_1.getOriginAssetId)(asset);
exports.BSX = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.Transferred)
                .origin(origin)
                .asset(originAssetId),
        },
    },
    withdraw: {
        [origin.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 1,
        }),
    },
};
//# sourceMappingURL=bsx.js.map