"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CLV = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.CLV];
const origin = moonbase_common_1.chains[constants_1.ChainKey.CloverAlphanet];
exports.CLV = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset('SelfReserve'),
        },
    },
    withdraw: {
        [origin.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 10000,
        }),
    },
};
//# sourceMappingURL=clv.js.map