"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PARING = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.PARING];
const origin = moonbase_common_1.chains[constants_1.ChainKey.DarwiniaAlphanet];
exports.PARING = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X1(),
        },
    },
    withdraw: {
        [origin.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8,
        }),
    },
};
//# sourceMappingURL=paring.js.map