"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TEER = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.TEER];
const origin = moonbase_common_1.chains[constants_1.ChainKey.IntegriteeAlphanet];
exports.TEER = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset(asset.originSymbol),
        },
    },
    withdraw: {
        [origin.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.system(),
            destination: origin,
            feePerWeight: 1,
        }),
    },
};
//# sourceMappingURL=teer.js.map