"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBASE_CHAINS_CONFIGS = exports.MOONBASE_CHAINS = void 0;
const constants_1 = require("../../constants");
exports.MOONBASE_CHAINS = [
    constants_1.ChainKey.AlphanetRelay,
    constants_1.ChainKey.AstarAlphanet,
    constants_1.ChainKey.BasiliskAlphanet,
    constants_1.ChainKey.CloverAlphanet,
    constants_1.ChainKey.CrustShadowAlphanet,
    constants_1.ChainKey.DarwiniaAlphanet,
    constants_1.ChainKey.IntegriteeAlphanet,
    constants_1.ChainKey.InterBTCAlphanet,
    constants_1.ChainKey.LitentryAlphanet,
    constants_1.ChainKey.StatemineAlphanet,
];
exports.MOONBASE_CHAINS_CONFIGS = {
    [constants_1.ChainKey.AlphanetRelay]: {
        key: constants_1.ChainKey.AlphanetRelay,
        name: 'Alphanet Relay',
        ws: 'wss://frag-moonbase-relay-rpc-ws.g.moonbase.moonbeam.network',
        weight: 1000000000,
        parachainId: 0,
    },
    [constants_1.ChainKey.AstarAlphanet]: {
        key: constants_1.ChainKey.AstarAlphanet,
        name: 'Astar Alphanet',
        ws: 'wss://alphanet.astar.network/',
        weight: 1000000000,
        parachainId: 2007,
        palletInstance: 3,
        moonAssetId: 100,
    },
    [constants_1.ChainKey.BasiliskAlphanet]: {
        key: constants_1.ChainKey.BasiliskAlphanet,
        name: 'Basilisk Alphanet',
        ws: 'wss://rpc-01.basilisk-moonbase.hydradx.io',
        weight: 1000000000,
        parachainId: 2090,
        moonAssetId: 0,
    },
    [constants_1.ChainKey.CloverAlphanet]: {
        key: constants_1.ChainKey.CloverAlphanet,
        name: 'Clover Alphanet',
        ws: 'wss://test-para-api.clv.org/',
        weight: 1000000000,
        parachainId: 2002,
        moonAssetId: 4,
        palletInstance: 3,
    },
    [constants_1.ChainKey.CrustShadowAlphanet]: {
        key: constants_1.ChainKey.CrustShadowAlphanet,
        name: 'Crust Shadow Alphanet',
        ws: 'wss://shadow-rpc-alpha.crustapps.net/',
        weight: 1000000000,
        parachainId: 2012,
    },
    [constants_1.ChainKey.DarwiniaAlphanet]: {
        key: constants_1.ChainKey.DarwiniaAlphanet,
        name: 'Pangolin Alphanet',
        ws: 'wss://pangolin-parachain-alpha-rpc.darwinia.network',
        weight: 1000000000,
        parachainId: 2105,
    },
    [constants_1.ChainKey.IntegriteeAlphanet]: {
        key: constants_1.ChainKey.IntegriteeAlphanet,
        name: 'Integritee Alphanet',
        ws: 'wss://moonbeam-test.integritee.network',
        weight: 1000000000,
        parachainId: 2015,
    },
    [constants_1.ChainKey.InterBTCAlphanet]: {
        key: constants_1.ChainKey.InterBTCAlphanet,
        name: 'interBTC Alphanet',
        ws: 'wss://api-dev-moonbeam.interlay.io/parachain',
        weight: 1000000000,
        parachainId: 1002,
    },
    [constants_1.ChainKey.LitentryAlphanet]: {
        key: constants_1.ChainKey.LitentryAlphanet,
        name: 'Litentry Alphanet',
        ws: 'wss://moonbase-parachain-sg-0.litentry.io',
        weight: 1000000000,
        parachainId: 2106,
    },
    [constants_1.ChainKey.StatemineAlphanet]: {
        key: constants_1.ChainKey.StatemineAlphanet,
        name: 'Statemine Alphanet',
        ws: 'wss://frag-moonbase-sm-rpc-ws.g.moonbase.moonbeam.network/',
        weight: 1000000000,
        parachainId: 1001,
        palletInstance: 50,
    },
};
//# sourceMappingURL=moonbase.chains.js.map