import { MOONBASE_ASSETS_CONFIGS as assets } from './moonbase.assets';
import { MOONBASE_CHAINS_CONFIGS as chains } from './moonbase.chains';
export { assets, chains };
export declare const moonbase: import("../..").MoonChain;
export declare const balance: {
    assets: (asset: number | bigint) => import("../../balance").AssetsBalanceConfig;
    min: (asset: number) => import("../../balance").MinBalanceConfig;
    system: () => import("../../balance").SystemBalanceConfig;
    tokens: (asset: number | bigint | import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT | "MOVR" | "KUSD" | "AUSD") => import("../../balance").TokensBalanceConfig<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>;
};
export declare const extrinsic: {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    V0: () => import("../../extrinsic").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("../../extrinsic").PolkadotXcmPallet;
                        X1: () => import("../../extrinsic").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => import("../../extrinsic").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    asset: (token: import("../../extrinsic").XTokensTransferExtrinsicParamsAsset<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>) => import("../../extrinsic").XTokensTransferExtrinsic<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    asset: (asset: import("../..").Asset<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>) => import("../../extrinsic").XTokensTransferMultiAssetExtrinsic<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    assets: (asset: import("../..").Asset<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>, feeAsset: import("../..").Asset<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>) => import("../../extrinsic").XTokensTransferMultiCurrenciesExtrinsic<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.AlphanetRelay | import("../../constants").ChainKey.AstarAlphanet | import("../../constants").ChainKey.BasiliskAlphanet | import("../../constants").ChainKey.CloverAlphanet | import("../../constants").ChainKey.CrustShadowAlphanet | import("../../constants").ChainKey.DarwiniaAlphanet | import("../../constants").ChainKey.IntegriteeAlphanet | import("../../constants").ChainKey.InterBTCAlphanet | import("../../constants").ChainKey.LitentryAlphanet | import("../../constants").ChainKey.StatemineAlphanet>) => {
                    here: () => import("../../extrinsic").XTransferPallet;
                    X2: (palletInstance: number) => import("../../extrinsic").XTransferPallet;
                };
            };
        };
    };
};
export declare const withdraw: {
    xTokens: (options: import("../../withdraw").WithdrawXTokensOptions<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT, import("../../constants").ChainKey>) => import("../../withdraw").WithdrawXTokensConfig<import("../../constants").AssetSymbol.ASTR | import("../../constants").AssetSymbol.BSX | import("../../constants").AssetSymbol.CLV | import("../../constants").AssetSymbol.CRU | import("../../constants").AssetSymbol.DEV | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.PARING | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.TT1 | import("../../constants").AssetSymbol.UNIT, import("../../constants").ChainKey>;
};
