"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AUSD = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.AssetSymbol.AUSD];
const origin = moonbeam_common_1.chains[constants_1.ChainKey.Acala];
exports.AUSD = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            sourceFeeBalance: moonbeam_common_1.balance.system(),
            extrinsic: moonbeam_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({
                Token: asset.originSymbol,
            }),
        },
    },
    withdraw: {
        [origin.key]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 64,
        }),
    },
};
//# sourceMappingURL=ausd.js.map