"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PHA = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.AssetSymbol.PHA];
const origin = moonriver_common_1.chains[constants_1.ChainKey.Khala];
exports.PHA = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonriver_common_1.balance.system(),
            extrinsic: moonriver_common_1.extrinsic
                .xTransfer()
                .transfer()
                .successEvent(extrinsic_1.XTransferExtrinsicSuccessEvent.Deposited)
                .origin(origin)
                .here(),
        },
    },
    withdraw: {
        [origin.key]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.system(),
            destination: origin,
            feePerWeight: 80,
        }),
    },
};
//# sourceMappingURL=pha.js.map