"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.USDT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.AssetSymbol.USDT];
const origin = moonriver_common_1.chains[constants_1.ChainKey.Statemine];
const originAssetId = (0, config_utils_1.getOriginAssetId)(asset);
exports.USDT = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonriver_common_1.balance.assets(originAssetId),
            sourceFeeBalance: moonriver_common_1.balance.system(),
            sourceMinBalance: moonriver_common_1.balance.min(originAssetId),
            extrinsic: moonriver_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X2(50, originAssetId),
        },
    },
    withdraw: {},
};
//# sourceMappingURL=usdt.js.map