"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONRIVER_CHAINS_CONFIGS = exports.MOONRIVER_CHAINS = void 0;
const constants_1 = require("../../constants");
exports.MOONRIVER_CHAINS = [
    constants_1.ChainKey.Bifrost,
    constants_1.ChainKey.Calamari,
    constants_1.ChainKey.CrustShadow,
    constants_1.ChainKey.Darwinia,
    constants_1.ChainKey.Integritee,
    constants_1.ChainKey.Karura,
    constants_1.ChainKey.Khala,
    constants_1.ChainKey.Kintsugi,
    constants_1.ChainKey.Kusama,
    constants_1.ChainKey.Litmus,
    constants_1.ChainKey.Parallel,
    constants_1.ChainKey.Shiden,
    constants_1.ChainKey.Statemine,
];
exports.MOONRIVER_CHAINS_CONFIGS = {
    [constants_1.ChainKey.Bifrost]: {
        key: constants_1.ChainKey.Bifrost,
        name: 'Bifrost',
        ws: 'wss://bifrost-rpc.liebi.com/ws',
        weight: 1000000000,
        parachainId: 2001,
    },
    [constants_1.ChainKey.Calamari]: {
        key: constants_1.ChainKey.Calamari,
        name: 'Calamari',
        ws: 'wss://ws.calamari.systems',
        weight: 1000000000,
        parachainId: 2084,
    },
    [constants_1.ChainKey.CrustShadow]: {
        key: constants_1.ChainKey.CrustShadow,
        name: 'Crust Shadow',
        ws: 'wss://rpc2-shadow.crust.network',
        weight: 1000000000,
        parachainId: 2012,
    },
    [constants_1.ChainKey.Darwinia]: {
        key: constants_1.ChainKey.Darwinia,
        name: 'Darwinia Crab',
        ws: 'wss://crab-parachain-rpc.darwinia.network',
        weight: 1000000000,
        parachainId: 2105,
    },
    [constants_1.ChainKey.Integritee]: {
        key: constants_1.ChainKey.Integritee,
        name: 'Integritee',
        ws: 'wss://integritee-kusama.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2015,
    },
    [constants_1.ChainKey.Karura]: {
        key: constants_1.ChainKey.Karura,
        name: 'Karura',
        ws: 'wss://karura.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2000,
        moonAssetId: 3,
    },
    [constants_1.ChainKey.Khala]: {
        key: constants_1.ChainKey.Khala,
        name: 'Khala',
        ws: 'wss://khala.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2004,
        moonAssetId: 6,
        palletInstance: 10,
    },
    [constants_1.ChainKey.Kintsugi]: {
        key: constants_1.ChainKey.Kintsugi,
        name: 'Kintsugi',
        ws: 'wss://api-kusama.interlay.io/parachain',
        weight: 1000000000,
        parachainId: 2092,
    },
    [constants_1.ChainKey.Kusama]: {
        key: constants_1.ChainKey.Kusama,
        name: 'Kusama',
        ws: 'wss://kusama-rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 0,
    },
    [constants_1.ChainKey.Litmus]: {
        key: constants_1.ChainKey.Litmus,
        name: 'Litmus',
        ws: 'wss://rpc.litmus-parachain.litentry.io',
        weight: 1000000000,
        parachainId: 2106,
    },
    [constants_1.ChainKey.Parallel]: {
        key: constants_1.ChainKey.Parallel,
        name: 'Parallel Heiko',
        ws: 'wss://heiko-rpc.parallel.fi',
        weight: 1000000000,
        parachainId: 2085,
        moonAssetId: 113,
    },
    [constants_1.ChainKey.Shiden]: {
        key: constants_1.ChainKey.Shiden,
        name: 'Shiden',
        ws: 'wss://shiden.api.onfinality.io/public-ws',
        weight: 1000000000,
        parachainId: 2007,
        moonAssetId: 18446744073709551620n,
        palletInstance: 10,
    },
    [constants_1.ChainKey.Statemine]: {
        key: constants_1.ChainKey.Statemine,
        name: 'Statemine',
        ws: 'wss://statemine-rpc.polkadot.io',
        weight: 1000000000,
        parachainId: 1000,
        palletInstance: 50,
    },
};
//# sourceMappingURL=moonriver.chains.js.map