import { AssetSymbol, ChainKey } from '../../constants';
import { Asset, Chain, MoonChain } from '../../interfaces';
import { XTokensExtrinsicSuccessEvent } from './xTokens.constants';
import { XTokensTransferExtrinsic, XTokensTransferExtrinsicParamsAsset, XTokensTransferMultiAssetExtrinsic, XTokensTransferMultiCurrenciesExtrinsic } from './xTokens.interfaces';
export declare function xTokens<Symbols extends AssetSymbol, ChainKeys extends ChainKey>(chain: MoonChain): {
    transfer: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                asset: (token: XTokensTransferExtrinsicParamsAsset<Symbols>) => XTokensTransferExtrinsic<Symbols>;
            };
        };
    };
    transferMultiAsset: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                asset: (asset: Asset<Symbols>) => XTokensTransferMultiAssetExtrinsic<Symbols>;
            };
        };
    };
    transferMultiCurrencies: () => {
        successEvent: (event: XTokensExtrinsicSuccessEvent) => {
            origin: (origin: Chain<ChainKeys>) => {
                assets: (asset: Asset<Symbols>, feeAsset: Asset<Symbols>) => XTokensTransferMultiCurrenciesExtrinsic<Symbols>;
            };
        };
    };
};
