"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TT1 = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.TT1];
const origin = moonbase_common_1.chains[constants_1.ChainKey.StatemineAlphanet];
const originAssetId = (0, config_utils_1.getOriginAssetId)(asset);
exports.TT1 = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbase_common_1.balance.assets(originAssetId),
            sourceFeeBalance: moonbase_common_1.balance.system(),
            sourceMinBalance: moonbase_common_1.balance.min(originAssetId),
            extrinsic: moonbase_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X2((0, config_utils_1.getPalletInstance)(origin), originAssetId),
        },
    },
    withdraw: {
        [origin.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.assets(originAssetId),
            sourceMinBalance: moonbase_common_1.balance.min(originAssetId),
            destination: origin,
            feePerWeight: 1265000000,
        }),
    },
};
//# sourceMappingURL=tt1.js.map