"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DOT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.AssetSymbol.DOT];
const origin = moonbeam_common_1.chains[constants_1.ChainKey.Polkadot];
exports.DOT = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbeam_common_1.balance.system(),
            extrinsic: moonbeam_common_1.extrinsic
                .xcmPallet()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin),
        },
    },
    withdraw: {
        [origin.key]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.system(),
            destination: origin,
            feePerWeight: 0.13,
        }),
    },
};
//# sourceMappingURL=dot.js.map