"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IBTC = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.AssetSymbol.IBTC];
const feeAsset = moonbeam_common_1.assets[constants_1.AssetSymbol.INTR];
const origin = moonbeam_common_1.chains[constants_1.ChainKey.Interlay];
exports.IBTC = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            sourceFeeBalance: moonbeam_common_1.balance.tokens(feeAsset.originSymbol),
            isNativeAssetPayingMoonFee: true,
            extrinsic: moonbeam_common_1.extrinsic
                .xTokens()
                .transferMultiCurrencies()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .assets(asset, feeAsset),
        },
    },
    withdraw: {
        [origin.key]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 0.00000619,
        }),
    },
};
//# sourceMappingURL=ibtc.js.map