"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.INTR = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.AssetSymbol.INTR];
const origin = moonbeam_common_1.chains[constants_1.ChainKey.Interlay];
exports.INTR = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            extrinsic: moonbeam_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({ Token: asset.originSymbol }),
        },
    },
    withdraw: {
        [origin.key]: moonbeam_common_1.withdraw.xTokens({
            balance: moonbeam_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 1.87,
        }),
    },
};
//# sourceMappingURL=intr.js.map