import { MOONBEAM_ASSETS_CONFIGS as assets } from './moonbeam.assets';
import { MOONBEAM_CHAINS_CONFIGS as chains } from './moonbeam.chains';
export { assets, chains };
export declare const moonbeam: import("../..").MoonChain;
export declare const balance: {
    assets: (asset: number | bigint) => import("../../balance").AssetsBalanceConfig;
    min: (asset: number) => import("../../balance").MinBalanceConfig;
    system: () => import("../../balance").SystemBalanceConfig;
    tokens: (asset: number | bigint | import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA | "MOVR" | "KUSD" | "AUSD") => import("../../balance").TokensBalanceConfig<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>;
};
export declare const extrinsic: {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    V0: () => import("../../extrinsic").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("../../extrinsic").PolkadotXcmPallet;
                        X1: () => import("../../extrinsic").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => import("../../extrinsic").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    asset: (token: import("../../extrinsic").XTokensTransferExtrinsicParamsAsset<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>) => import("../../extrinsic").XTokensTransferExtrinsic<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    asset: (asset: import("../..").Asset<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>) => import("../../extrinsic").XTokensTransferMultiAssetExtrinsic<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    assets: (asset: import("../..").Asset<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>, feeAsset: import("../..").Asset<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>) => import("../../extrinsic").XTokensTransferMultiCurrenciesExtrinsic<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Acala | import("../../constants").ChainKey.Interlay | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Phala | import("../../constants").ChainKey.Polkadot>) => {
                    here: () => import("../../extrinsic").XTransferPallet;
                    X2: (palletInstance: number) => import("../../extrinsic").XTransferPallet;
                };
            };
        };
    };
};
export declare const withdraw: {
    xTokens: (options: import("../../withdraw").WithdrawXTokensOptions<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA, import("../../constants").ChainKey>) => import("../../withdraw").WithdrawXTokensConfig<import("../../constants").AssetSymbol.ACA | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.DOT | import("../../constants").AssetSymbol.GLMR | import("../../constants").AssetSymbol.IBTC | import("../../constants").AssetSymbol.INTR | import("../../constants").AssetSymbol.PARA | import("../../constants").AssetSymbol.PHA, import("../../constants").ChainKey>;
};
