"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AUSD = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.AssetSymbol.AUSD];
const origin = moonriver_common_1.chains[constants_1.ChainKey.Karura];
exports.AUSD = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonriver_common_1.balance.tokens('KUSD'),
            sourceFeeBalance: moonriver_common_1.balance.system(),
            extrinsic: moonriver_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({
                Token: 'KUSD',
            }),
        },
    },
    withdraw: {
        [origin.key]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.tokens('KUSD'),
            destination: origin,
            feePerWeight: 64,
        }),
    },
};
//# sourceMappingURL=ausd.js.map