"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RMRK = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.AssetSymbol.RMRK];
const origin = moonriver_common_1.chains[constants_1.ChainKey.Statemine];
const originAssetId = (0, config_utils_1.getOriginAssetId)(asset);
const palletInstance = (0, config_utils_1.getPalletInstance)(origin);
exports.RMRK = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonriver_common_1.balance.assets(originAssetId),
            sourceFeeBalance: moonriver_common_1.balance.system(),
            sourceMinBalance: moonriver_common_1.balance.min(originAssetId),
            extrinsic: moonriver_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X2(palletInstance, originAssetId),
        },
    },
    withdraw: {
        [origin.key]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.assets(originAssetId),
            sourceMinBalance: moonriver_common_1.balance.min(originAssetId),
            destination: origin,
            feePerWeight: 0.000126,
        }),
    },
};
//# sourceMappingURL=rmrk.js.map