"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SDN = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonriver_common_1 = require("../moonriver.common");
const asset = moonriver_common_1.assets[constants_1.AssetSymbol.SDN];
const origin = moonriver_common_1.chains[constants_1.ChainKey.Shiden];
exports.SDN = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonriver_common_1.balance.system(),
            extrinsic: moonriver_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .here(),
        },
    },
    withdraw: {
        [origin.key]: moonriver_common_1.withdraw.xTokens({
            balance: moonriver_common_1.balance.system(),
            destination: origin,
            feePerWeight: 8000000,
        }),
    },
};
//# sourceMappingURL=sdn.js.map