import { MOONRIVER_ASSETS_CONFIGS as assets } from './moonriver.assets';
import { MOONRIVER_CHAINS_CONFIGS as chains } from './moonriver.chains';
export { assets, chains };
export declare const moonriver: import("../..").MoonChain;
export declare const balance: {
    assets: (asset: number | bigint) => import("../../balance").AssetsBalanceConfig;
    min: (asset: number) => import("../../balance").MinBalanceConfig;
    system: () => import("../../balance").SystemBalanceConfig;
    tokens: (asset: number | bigint | import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT | "MOVR" | "KUSD" | "AUSD") => import("../../balance").TokensBalanceConfig<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>;
};
export declare const extrinsic: {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    V0: () => import("../../extrinsic").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("../../extrinsic").PolkadotXcmPallet;
                        X1: () => import("../../extrinsic").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("../../extrinsic").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("../../extrinsic").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => import("../../extrinsic").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    asset: (token: import("../../extrinsic").XTokensTransferExtrinsicParamsAsset<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>) => import("../../extrinsic").XTokensTransferExtrinsic<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    asset: (asset: import("../..").Asset<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>) => import("../../extrinsic").XTokensTransferMultiAssetExtrinsic<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("../../extrinsic").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    assets: (asset: import("../..").Asset<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>, feeAsset: import("../..").Asset<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>) => import("../../extrinsic").XTokensTransferMultiCurrenciesExtrinsic<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("../../extrinsic").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../..").Chain<import("../../constants").ChainKey.Bifrost | import("../../constants").ChainKey.Calamari | import("../../constants").ChainKey.CrustShadow | import("../../constants").ChainKey.Darwinia | import("../../constants").ChainKey.Integritee | import("../../constants").ChainKey.Karura | import("../../constants").ChainKey.Khala | import("../../constants").ChainKey.Kintsugi | import("../../constants").ChainKey.Kusama | import("../../constants").ChainKey.Litmus | import("../../constants").ChainKey.Parallel | import("../../constants").ChainKey.Shiden | import("../../constants").ChainKey.Statemine>) => {
                    here: () => import("../../extrinsic").XTransferPallet;
                    X2: (palletInstance: number) => import("../../extrinsic").XTransferPallet;
                };
            };
        };
    };
};
export declare const withdraw: {
    xTokens: (options: import("../../withdraw").WithdrawXTokensOptions<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT, import("../../constants").ChainKey>) => import("../../withdraw").WithdrawXTokensConfig<import("../../constants").AssetSymbol.AUSD | import("../../constants").AssetSymbol.BNC | import("../../constants").AssetSymbol.CRAB | import("../../constants").AssetSymbol.CSM | import("../../constants").AssetSymbol.HKO | import("../../constants").AssetSymbol.KAR | import("../../constants").AssetSymbol.KBTC | import("../../constants").AssetSymbol.KINT | import("../../constants").AssetSymbol.KMA | import("../../constants").AssetSymbol.KSM | import("../../constants").AssetSymbol.LIT | import("../../constants").AssetSymbol.MOVR | import("../../constants").AssetSymbol.PHA | import("../../constants").AssetSymbol.RMRK | import("../../constants").AssetSymbol.SDN | import("../../constants").AssetSymbol.TEER | import("../../constants").AssetSymbol.USDT, import("../../constants").ChainKey>;
};
