import { AssetSymbol, ChainKey } from '../constants';
import { MoonChain } from '../interfaces';
export declare function createExtrinsicBuilder<Symbols extends AssetSymbol, ChainKeys extends ChainKey>(chain: MoonChain): {
    polkadotXcm: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    V0: () => import("./polkadotXcm").PolkadotXcmPallet;
                    V1: () => {
                        here: () => import("./polkadotXcm").PolkadotXcmPallet;
                        X1: () => import("./polkadotXcm").PolkadotXcmPallet;
                        X2: (palletInstance: number, assetId: number) => import("./polkadotXcm").PolkadotXcmPallet;
                    };
                };
            };
        };
        limitedReserveWithdrawAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    V1: () => {
                        X2: (palletInstance: number) => import("./polkadotXcm").PolkadotXcmPallet;
                    };
                };
            };
        };
    };
    xcmPallet: () => {
        limitedReserveTransferAssets: () => {
            successEvent: (event: import("./polkadotXcm").PolkadotXcmExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => import("./xcmPallet").XcmPallet;
            };
        };
    };
    xTokens: () => {
        transfer: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    asset: (token: import("./xTokens").XTokensTransferExtrinsicParamsAsset<Symbols>) => import("./xTokens").XTokensTransferExtrinsic<Symbols>;
                };
            };
        };
        transferMultiAsset: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    asset: (asset: import("../interfaces").Asset<Symbols>) => import("./xTokens").XTokensTransferMultiAssetExtrinsic<Symbols>;
                };
            };
        };
        transferMultiCurrencies: () => {
            successEvent: (event: import("./xTokens").XTokensExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    assets: (asset: import("../interfaces").Asset<Symbols>, feeAsset: import("../interfaces").Asset<Symbols>) => import("./xTokens").XTokensTransferMultiCurrenciesExtrinsic<Symbols>;
                };
            };
        };
    };
    xTransfer: () => {
        transfer: () => {
            successEvent: (event: import("./xTransfer").XTransferExtrinsicSuccessEvent) => {
                origin: (origin: import("../interfaces").Chain<ChainKeys>) => {
                    here: () => import("./xTransfer").XTransferPallet;
                    X2: (palletInstance: number) => import("./xTransfer").XTransferPallet;
                };
            };
        };
    };
};
