"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWithdrawBuilder = void 0;
const util_1 = require("@polkadot/util");
const util_crypto_1 = require("@polkadot/util-crypto");
/* eslint-disable @typescript-eslint/no-use-before-define */
function createWithdrawBuilder() {
    return {
        xTokens: (options) => xTokens(options),
    };
}
exports.createWithdrawBuilder = createWithdrawBuilder;
function xTokens({ balance, destination, feePerWeight, sourceMinBalance, weight = 4000000000, }) {
    return {
        balance,
        destination,
        feePerWeight,
        sourceMinBalance,
        weight,
        getParams: (account) => {
            const { parachainId } = destination;
            const acc = `0x01${(0, util_1.u8aToHex)((0, util_crypto_1.decodeAddress)(account), -1, false)}00`;
            return [
                1,
                parachainId ? [`0x0000000${parachainId.toString(16)}`, acc] : [acc],
            ];
        },
    };
}
//# sourceMappingURL=withdraw.js.map